Open CASCADE Technology: XCAFDoc_LayerTool Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
XCAFDoc_LayerTool Class Reference

Provides tools to store and retrieve attributes (Layers) of TopoDS_Shape in and from TDocStd_Document A Document is intended to hold different attributes of ONE shape and it's sub-shapes Provide tools for management of Layers section of document. More...

`#include <XCAFDoc_LayerTool.hxx>`

Inheritance diagram for XCAFDoc_LayerTool:
[legend]

## Public Member Functions
| XCAFDoc_LayerTool ()
TDF_Label | BaseLabel () const
| returns the label under which Layers are stored More...
const Handle< XCAFDoc_ShapeTool > & | ShapeTool ()
| Returns internal XCAFDoc_ShapeTool tool. More...
Standard_Boolean | IsLayer (const TDF_Label &lab) const
| Returns True if label belongs to a Layertable and is a Layer definition. More...
Standard_Boolean | GetLayer (const TDF_Label &lab, TCollection_ExtendedString &aLayer) const
| Returns Layer defined by label lab Returns False if the label is not in Layertable or does not define a Layer. More...
Standard_Boolean | FindLayer (const TCollection_ExtendedString &aLayer, TDF_Label &lab) const
| Finds a Layer definition in a Layertable and returns its label if found Returns False if Layer is not found in Layertable. More...
TDF_Label | FindLayer (const TCollection_ExtendedString &aLayer) const
| Finds a Layer definition in a Layertable and returns its label if found (or Null label else) More...
TDF_Label | AddLayer (const TCollection_ExtendedString &aLayer) const
| Adds a Layer definition to a Layertable and returns its label (returns existing label if the same Layer is already defined) More...
void | RemoveLayer (const TDF_Label &lab) const
| Removes Layer from the Layertable. More...
void | GetLayerLabels (TDF_LabelSequence &Labels) const
| Returns a sequence of Layers currently stored in the Layertable. More...
void | SetLayer (const TDF_Label &L, const TDF_Label &LayerL, const Standard_Boolean shapeInOneLayer=Standard_False) const
| Sets a link from label <L> to Layer defined by <LayerL> optional parametr <shapeInOneLayer> show could shape be in number of layers or only in one. More...
void | SetLayer (const TDF_Label &L, const TCollection_ExtendedString &aLayer, const Standard_Boolean shapeInOneLayer=Standard_False) const
| Sets a link from label <L> to Layer <aLayer> in the Layertable Adds a Layer as necessary optional parametr <shapeInOneLayer> show could shape be in number of layers or only in one. More...
void | UnSetLayers (const TDF_Label &L) const
| Removes a link from label <L> to all layers. More...
Standard_Boolean | UnSetOneLayer (const TDF_Label &L, const TCollection_ExtendedString &aLayer) const
| Remove link from label <L> and Layer <aLayer>. returns FALSE if no such layer. More...
Standard_Boolean | UnSetOneLayer (const TDF_Label &L, const TDF_Label &aLayerL) const
| Remove link from label <L> and Layer <aLayerL>. returns FALSE if <aLayerL> is not a layer label. More...
Standard_Boolean | IsSet (const TDF_Label &L, const TCollection_ExtendedString &aLayer) const
| Returns True if label <L> has a Layer assosiated with the <aLayer>. More...
Standard_Boolean | IsSet (const TDF_Label &L, const TDF_Label &aLayerL) const
| Returns True if label <L> has a Layer assosiated with the <aLayerL> label. More...
Standard_Boolean | GetLayers (const TDF_Label &L, Handle< TColStd_HSequenceOfExtendedString > &aLayerS)
| Return sequence of strings <aLayerS> that assosiated with label <L>. More...
Standard_Boolean | GetLayers (const TDF_Label &L, TDF_LabelSequence &aLayerLS)
| Return sequence of labels <aLayerSL> that assosiated with label <L>. More...
Handle< TColStd_HSequenceOfExtendedString > | GetLayers (const TDF_Label &L)
| Return sequence of strings that assosiated with label <L>. More...
void | GetShapesOfLayer (const TDF_Label &layerL, TDF_LabelSequence &ShLabels) const
| Return sequanese of shape labels that assigned with layers to <ShLabels>. More...
Standard_Boolean | IsVisible (const TDF_Label &layerL) const
| Return TRUE if layer is visible, FALSE if invisible. More...
void | SetVisibility (const TDF_Label &layerL, const Standard_Boolean isvisible=Standard_True) const
| Set the visibility of layer. If layer is invisible when on it's layer will set UAttribute with corresponding GUID. More...
Standard_Boolean | SetLayer (const TopoDS_Shape &Sh, const TDF_Label &LayerL, const Standard_Boolean shapeInOneLayer=Standard_False)
| Sets a link from label that containig shape <Sh> with layer that situated at label <LayerL>. optional parametr <shapeInOneLayer> show could shape be in number of layers or only in one. return FALSE if no such shape <Sh> or label <LayerL> More...
Standard_Boolean | SetLayer (const TopoDS_Shape &Sh, const TCollection_ExtendedString &aLayer, const Standard_Boolean shapeInOneLayer=Standard_False)
| Sets a link from label that containig shape <Sh> with layer <aLayer>. Add <aLayer> to LayerTable if nessesery. optional parametr <shapeInOneLayer> show could shape be in number of layers or only in one. return FALSE if no such shape <Sh>. More...
Standard_Boolean | UnSetLayers (const TopoDS_Shape &Sh)
| Remove link between shape <Sh> and all Layers at LayerTable. return FALSE if no such shape <Sh> in XCAF Document. More...
Standard_Boolean | UnSetOneLayer (const TopoDS_Shape &Sh, const TCollection_ExtendedString &aLayer)
| Remove link between shape <Sh> and layer <aLayer>. returns FALSE if no such layer <aLayer> or shape <Sh>. More...
Standard_Boolean | UnSetOneLayer (const TopoDS_Shape &Sh, const TDF_Label &aLayerL)
| Remove link between shape <Sh> and layer <aLayerL>. returns FALSE if no such layer <aLayerL> or shape <Sh>. More...
Standard_Boolean | IsSet (const TopoDS_Shape &Sh, const TCollection_ExtendedString &aLayer)
| Returns True if shape <Sh> has a Layer assosiated with the <aLayer>. More...
Standard_Boolean | IsSet (const TopoDS_Shape &Sh, const TDF_Label &aLayerL)
| Returns True if shape <Sh> has a Layer assosiated with the <aLayerL>. More...
Standard_Boolean | GetLayers (const TopoDS_Shape &Sh, Handle< TColStd_HSequenceOfExtendedString > &aLayerS)
| Return sequence of strings <aLayerS> that assosiated with shape <Sh>. More...
Standard_Boolean | GetLayers (const TopoDS_Shape &Sh, TDF_LabelSequence &aLayerLS)
| Return sequence of labels <aLayerLS> that assosiated with shape <Sh>. More...
Handle< TColStd_HSequenceOfExtendedString > | GetLayers (const TopoDS_Shape &Sh)
| Return sequence of strings that assosiated with shape <Sh>. More...
const Standard_GUID & | ID () const
| Returns the ID of the attribute. More...
void | Restore (const Handle< TDF_Attribute > &with)
| Restores the backuped contents from <anAttribute> into this one. It is used when aborting a transaction. More...
Handle< TDF_Attribute > | NewEmpty () const
| Returns an new empty attribute from the good end type. It is used by the copy algorithm. More...
void | Paste (const Handle< TDF_Attribute > &into, const Handle< TDF_RelocationTable > &RT) const
| This method is different from the "Copy" one, because it is used when copying an attribute from a source structure into a target structure. This method may paste the contents of <me> into <intoAttribute>. More...
Public Member Functions inherited from TDF_Attribute
const TDF_Label | Label () const
| Returns the label to which the attribute is attached. If the label is not included in a DF, the label is null. See Label. Warning If the label is not included in a data framework, it is null. This function should not be redefined inline. More...
Standard_Integer | Transaction () const
| Returns the transaction index in which the attribute has been created or modified. More...
Standard_Integer | UntilTransaction () const
| Returns the upper transaction index until which the attribute is/was valid. This number may vary. A removed attribute validity range is reduced to its transaction index. More...
Standard_Boolean | IsValid () const
| Returns true if the attribute is valid; i.e. not a backuped or removed one. More...
Standard_Boolean | IsNew () const
| Returns true if the attribute has no backup. More...
Standard_Boolean | IsForgotten () const
| Returns true if the attribute forgotten status is set. More...
Standard_Boolean | IsAttribute (const Standard_GUID &anID) const
| Returns true if it exists an associated attribute of <me> with <anID> as ID. More...
Standard_Boolean | FindAttribute (const Standard_GUID &anID, Handle< TDF_Attribute > &anAttribute) const
| Finds an associated attribute of <me>, according to <anID>. the returned <anAttribute> is a valid one. The method returns True if found, False otherwise. A removed attribute cannot be found using this method. More...
void | AddAttribute (const Handle< TDF_Attribute > &other) const
| Adds an Attribute <other> to the label of <me>.Raises if there is already one of the same GUID fhan <other>. More...
Standard_Boolean | ForgetAttribute (const Standard_GUID &aguid) const
| Forgets the Attribute of GUID <aguid> associated to the label of <me>. Be carefull that if <me> is the attribute of <guid>, <me> will have a null label after this call. If the attribute doesn't exist returns False. Otherwise returns True. More...
void | ForgetAllAttributes (const Standard_Boolean clearChildren=Standard_True) const
| Forgets all the attributes attached to the label of <me>. Does it on the sub-labels if <clearChildren> is set to true. Of course, this method is compatible with Transaction & Delta mecanisms. Be carefull that if <me> will have a null label after this call. More...
virtual void | AfterAddition ()
| Something to do after adding an Attribute to a label. More...
virtual void | BeforeRemoval ()
| Something to do before removing an Attribute from a label. More...
virtual void | BeforeForget ()
| Something to do before forgetting an Attribute to a label. More...
virtual void | AfterResume ()
| Something to do after resuming an Attribute from a label. More...
virtual Standard_Boolean | AfterRetrieval (const Standard_Boolean forceIt=Standard_False)
| Something to do AFTER creation of an attribute by persistent-transient translation. The returned status says if AfterUndo has been performed (true) or if this callback must be called once again further (false). If <forceIt> is set to true, the method MUST perform and return true. Does nothing by default and returns true. More...
virtual Standard_Boolean | BeforeUndo (const Handle< TDF_AttributeDelta > &anAttDelta, const Standard_Boolean forceIt=Standard_False)
| Something to do before applying <anAttDelta>. The returned status says if AfterUndo has been performed (true) or if this callback must be called once again further (false). If <forceIt> is set to true, the method MUST perform and return true. Does nothing by default and returns true. More...
virtual Standard_Boolean | AfterUndo (const Handle< TDF_AttributeDelta > &anAttDelta, const Standard_Boolean forceIt=Standard_False)
| Something to do after applying <anAttDelta>. The returned status says if AfterUndo has been performed (true) or if this callback must be called once again further (false). If <forceIt> is set to true, the method MUST perform and return true. Does nothing by default and returns true. More...
virtual void | BeforeCommitTransaction ()
| A callback. By default does nothing. It is called by TDF_Data::CommitTransaction() method. More...
void | Backup ()
| Backups the attribute. The backuped attribute is flagged "Backuped" and not "Valid". More...
Standard_Boolean | IsBackuped () const
| Returns true if the attribute backup status is set. This status is set/unset by the Backup() method. More...
virtual Handle< TDF_Attribute > | BackupCopy () const
| Copies the attribute contents into a new other attribute. It is used by Backup(). More...
virtual Handle< TDF_DeltaOnAddition > | DeltaOnAddition () const
| Makes an AttributeDelta because <me> appeared. The only known use of a redefinition of this method is to return a null handle (no delta). More...
virtual Handle< TDF_DeltaOnForget > | DeltaOnForget () const
| Makes an AttributeDelta because <me> has been forgotten. More...
virtual Handle< TDF_DeltaOnResume > | DeltaOnResume () const
| Makes an AttributeDelta because <me> has been resumed. More...
virtual Handle< TDF_DeltaOnModification > | DeltaOnModification (const Handle< TDF_Attribute > &anOldAttribute) const
| Makes a DeltaOnModification between <me> and <anOldAttribute. More...
virtual void | DeltaOnModification (const Handle< TDF_DeltaOnModification > &aDelta)
| Applies a DeltaOnModification to <me>. More...
virtual Handle< TDF_DeltaOnRemoval > | DeltaOnRemoval () const
| Makes a DeltaOnRemoval on <me> because <me> has disappeared from the DS. More...
virtual void | References (const Handle< TDF_DataSet > &aDataSet) const
| Adds the first level referenced attributes and labels to <aDataSet>. More...
virtual Standard_OStream & | Dump (Standard_OStream &anOS) const
| Dumps the minimum information about <me> on <aStream>. More...
Standard_OStream & | operator<< (Standard_OStream &anOS) const
virtual void | ExtendedDump (Standard_OStream &anOS, const TDF_IDFilter &aFilter, TDF_AttributeIndexedMap &aMap) const
| Dumps the attribute content on <aStream>, using <aMap> like this: if an attribute is not in the map, first put add it to the map and then dump it. Use the map rank instead of dumping each attribute field. More...
void | Forget (const Standard_Integer aTransaction)
| Forgets the attribute. <aTransaction> is the current transaction in which the forget is done. A forgotten attribute is also flagged not "Valid". More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Static Public Member Functions
static Handle< XCAFDoc_LayerTool > | Set (const TDF_Label &L)
| Creates (if not exist) LayerTool. More...
static const Standard_GUID & | GetID ()

## Additional Inherited Members
Protected Member Functions inherited from TDF_Attribute
| TDF_Attribute ()
| Initializes fields. More...

## Detailed Description

Provides tools to store and retrieve attributes (Layers) of TopoDS_Shape in and from TDocStd_Document A Document is intended to hold different attributes of ONE shape and it's sub-shapes Provide tools for management of Layers section of document.

## Constructor & Destructor Documentation

XCAFDoc_LayerTool::XCAFDoc_LayerTool | ( |  | ) |

## Member Function Documentation

TDF_Label XCAFDoc_LayerTool::AddLayer | ( | const TCollection_ExtendedString & | aLayer | ) | const

Adds a Layer definition to a Layertable and returns its label (returns existing label if the same Layer is already defined)

TDF_Label XCAFDoc_LayerTool::BaseLabel | ( |  | ) | const

returns the label under which Layers are stored

Standard_Boolean XCAFDoc_LayerTool::FindLayer | ( | const TCollection_ExtendedString & | aLayer,
|  | TDF_Label & | lab
| ) |  | const

Finds a Layer definition in a Layertable and returns its label if found Returns False if Layer is not found in Layertable.

TDF_Label XCAFDoc_LayerTool::FindLayer | ( | const TCollection_ExtendedString & | aLayer | ) | const

Finds a Layer definition in a Layertable and returns its label if found (or Null label else)

static const Standard_GUID& XCAFDoc_LayerTool::GetID | ( |  | ) |
| static

Standard_Boolean XCAFDoc_LayerTool::GetLayer | ( | const TDF_Label & | lab,
|  | TCollection_ExtendedString & | aLayer
| ) |  | const

Returns Layer defined by label lab Returns False if the label is not in Layertable or does not define a Layer.

void XCAFDoc_LayerTool::GetLayerLabels | ( | TDF_LabelSequence & | Labels | ) | const

Returns a sequence of Layers currently stored in the Layertable.

Standard_Boolean XCAFDoc_LayerTool::GetLayers | ( | const TDF_Label & | L,
|  | Handle< TColStd_HSequenceOfExtendedString > & | aLayerS
| ) |  |

Return sequence of strings <aLayerS> that assosiated with label <L>.

Standard_Boolean XCAFDoc_LayerTool::GetLayers | ( | const TDF_Label & | L,
|  | TDF_LabelSequence & | aLayerLS
| ) |  |

Return sequence of labels <aLayerSL> that assosiated with label <L>.

Handle< TColStd_HSequenceOfExtendedString > XCAFDoc_LayerTool::GetLayers | ( | const TDF_Label & | L | ) |

Return sequence of strings that assosiated with label <L>.

Standard_Boolean XCAFDoc_LayerTool::GetLayers | ( | const TopoDS_Shape & | Sh,
|  | Handle< TColStd_HSequenceOfExtendedString > & | aLayerS
| ) |  |

Return sequence of strings <aLayerS> that assosiated with shape <Sh>.

Standard_Boolean XCAFDoc_LayerTool::GetLayers | ( | const TopoDS_Shape & | Sh,
|  | TDF_LabelSequence & | aLayerLS
| ) |  |

Return sequence of labels <aLayerLS> that assosiated with shape <Sh>.

Handle< TColStd_HSequenceOfExtendedString > XCAFDoc_LayerTool::GetLayers | ( | const TopoDS_Shape & | Sh | ) |

Return sequence of strings that assosiated with shape <Sh>.

void XCAFDoc_LayerTool::GetShapesOfLayer | ( | const TDF_Label & | layerL,
|  | TDF_LabelSequence & | ShLabels
| ) |  | const

Return sequanese of shape labels that assigned with layers to <ShLabels>.

const Standard_GUID& XCAFDoc_LayerTool::ID | ( |  | ) | const
| virtual

Returns the ID of the attribute.

Implements TDF_Attribute.

Standard_Boolean XCAFDoc_LayerTool::IsLayer | ( | const TDF_Label & | lab | ) | const

Returns True if label belongs to a Layertable and is a Layer definition.

Standard_Boolean XCAFDoc_LayerTool::IsSet | ( | const TDF_Label & | L,
|  | const TCollection_ExtendedString & | aLayer
| ) |  | const

Returns True if label <L> has a Layer assosiated with the <aLayer>.

Standard_Boolean XCAFDoc_LayerTool::IsSet | ( | const TDF_Label & | L,
|  | const TDF_Label & | aLayerL
| ) |  | const

Returns True if label <L> has a Layer assosiated with the <aLayerL> label.

Standard_Boolean XCAFDoc_LayerTool::IsSet | ( | const TopoDS_Shape & | Sh,
|  | const TCollection_ExtendedString & | aLayer
| ) |  |

Returns True if shape <Sh> has a Layer assosiated with the <aLayer>.

Standard_Boolean XCAFDoc_LayerTool::IsSet | ( | const TopoDS_Shape & | Sh,
|  | const TDF_Label & | aLayerL
| ) |  |

Returns True if shape <Sh> has a Layer assosiated with the <aLayerL>.

Standard_Boolean XCAFDoc_LayerTool::IsVisible | ( | const TDF_Label & | layerL | ) | const

Return TRUE if layer is visible, FALSE if invisible.

Handle< TDF_Attribute > XCAFDoc_LayerTool::NewEmpty | ( |  | ) | const
| virtual

Returns an new empty attribute from the good end type. It is used by the copy algorithm.

Implements TDF_Attribute.

void XCAFDoc_LayerTool::Paste | ( | const Handle< TDF_Attribute > & | intoAttribute,
|  | const Handle< TDF_RelocationTable > & | aRelocationTable
| ) |  | const
| virtual

This method is different from the "Copy" one, because it is used when copying an attribute from a source structure into a target structure. This method may paste the contents of <me> into <intoAttribute>.

The given pasted attribute can be full or empty of its contents. But don't make a NEW! Just set the contents!

It is possible to use <aRelocationTable> to get/set the relocation value of a source attribute.

Implements TDF_Attribute.

void XCAFDoc_LayerTool::RemoveLayer | ( | const TDF_Label & | lab | ) | const

Removes Layer from the Layertable.

void XCAFDoc_LayerTool::Restore | ( | const Handle< TDF_Attribute > & | anAttribute | ) |
| virtual

Restores the backuped contents from <anAttribute> into this one. It is used when aborting a transaction.

Implements TDF_Attribute.

static Handle< XCAFDoc_LayerTool > XCAFDoc_LayerTool::Set | ( | const TDF_Label & | L | ) |
| static

Creates (if not exist) LayerTool.

void XCAFDoc_LayerTool::SetLayer | ( | const TDF_Label & | L,
|  | const TDF_Label & | LayerL,
|  | const Standard_Boolean | shapeInOneLayer = `Standard_False`
| ) |  | const

Sets a link from label <L> to Layer defined by <LayerL> optional parametr <shapeInOneLayer> show could shape be in number of layers or only in one.

void XCAFDoc_LayerTool::SetLayer | ( | const TDF_Label & | L,
|  | const TCollection_ExtendedString & | aLayer,
|  | const Standard_Boolean | shapeInOneLayer = `Standard_False`
| ) |  | const

Sets a link from label <L> to Layer <aLayer> in the Layertable Adds a Layer as necessary optional parametr <shapeInOneLayer> show could shape be in number of layers or only in one.

Standard_Boolean XCAFDoc_LayerTool::SetLayer | ( | const TopoDS_Shape & | Sh,
|  | const TDF_Label & | LayerL,
|  | const Standard_Boolean | shapeInOneLayer = `Standard_False`
| ) |  |

Sets a link from label that containig shape <Sh> with layer that situated at label <LayerL>. optional parametr <shapeInOneLayer> show could shape be in number of layers or only in one. return FALSE if no such shape <Sh> or label <LayerL>

Standard_Boolean XCAFDoc_LayerTool::SetLayer | ( | const TopoDS_Shape & | Sh,
|  | const TCollection_ExtendedString & | aLayer,
|  | const Standard_Boolean | shapeInOneLayer = `Standard_False`
| ) |  |

Sets a link from label that containig shape <Sh> with layer <aLayer>. Add <aLayer> to LayerTable if nessesery. optional parametr <shapeInOneLayer> show could shape be in number of layers or only in one. return FALSE if no such shape <Sh>.

void XCAFDoc_LayerTool::SetVisibility | ( | const TDF_Label & | layerL,
|  | const Standard_Boolean | isvisible = `Standard_True`
| ) |  | const

Set the visibility of layer. If layer is invisible when on it's layer will set UAttribute with corresponding GUID.

const Handle< XCAFDoc_ShapeTool >& XCAFDoc_LayerTool::ShapeTool | ( |  | ) |

Returns internal XCAFDoc_ShapeTool tool.

void XCAFDoc_LayerTool::UnSetLayers | ( | const TDF_Label & | L | ) | const

Removes a link from label <L> to all layers.

Standard_Boolean XCAFDoc_LayerTool::UnSetLayers | ( | const TopoDS_Shape & | Sh | ) |

Remove link between shape <Sh> and all Layers at LayerTable. return FALSE if no such shape <Sh> in XCAF Document.

Standard_Boolean XCAFDoc_LayerTool::UnSetOneLayer | ( | const TDF_Label & | L,
|  | const TCollection_ExtendedString & | aLayer
| ) |  | const

Remove link from label <L> and Layer <aLayer>. returns FALSE if no such layer.

Standard_Boolean XCAFDoc_LayerTool::UnSetOneLayer | ( | const TDF_Label & | L,
|  | const TDF_Label & | aLayerL
| ) |  | const

Remove link from label <L> and Layer <aLayerL>. returns FALSE if <aLayerL> is not a layer label.

Standard_Boolean XCAFDoc_LayerTool::UnSetOneLayer | ( | const TopoDS_Shape & | Sh,
|  | const TCollection_ExtendedString & | aLayer
| ) |  |

Remove link between shape <Sh> and layer <aLayer>. returns FALSE if no such layer <aLayer> or shape <Sh>.

Standard_Boolean XCAFDoc_LayerTool::UnSetOneLayer | ( | const TopoDS_Shape & | Sh,
|  | const TDF_Label & | aLayerL
| ) |  |

Remove link between shape <Sh> and layer <aLayerL>. returns FALSE if no such layer <aLayerL> or shape <Sh>.

The documentation for this class was generated from the following file:

- XCAFDoc_LayerTool.hxx